package com.sd.business.controller.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.production.dto.ProductionTaskSelectDto;
import com.sd.business.entity.production.vo.ProductionTaskVo;
import com.sd.business.service.production.ProductionTaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 生产任务 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-19
 */
@RestController
@RequestMapping("/productionTask")
public class ProductionTaskController {

    @Autowired
    private ProductionTaskService productionTaskService;

    /**
     * 生产任务分页
     */
    @PostMapping("/page")
    public Page<ProductionTaskVo> page(@RequestBody ProductionTaskSelectDto dto) {
        return productionTaskService.getPage(dto);
    }

}
