package com.sd.business.controller.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.production.dto.ProductionWorkOrderSelectDto;
import com.sd.business.entity.production.vo.ProductionWorkOrderVo;
import com.sd.business.service.production.ProductionWorkOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 生产工单 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-19
 */
@RestController
@RequestMapping("/productionWorkOrder")
public class ProductionWorkOrderController {

    @Autowired
    private ProductionWorkOrderService productionWorkOrderService;

    /**
     * 生产工单分页
     */
    @PostMapping("/page")
    public Page<ProductionWorkOrderVo> page(@RequestBody ProductionWorkOrderSelectDto dto) {
        return productionWorkOrderService.getPage(dto);
    }

}
