package com.sd.business.entity.bom.dto;

import com.fjhx.file.entity.ObsFile;
import com.sd.business.entity.bom.po.Bom;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * bom新增编辑入参实体
 *
 * @author
 * @since 2023-06-30
 */
@Getter
@Setter
public class BomDto extends Bom {

    /**
     * bom规格
     */
    @Valid
    @NotEmpty(message = "规格不能为空")
    private List<BomSpecDto> bomSpecList;

    /**
     * 主图产品
     */
    private ObsFile mainImgFile;

}
