package com.sd.business.entity.check.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 盘点bom列表查询入参实体
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
public class CheckBomSelectDto extends BaseSelectDto {

    /**
     * 品号
     */
    private String bomSpecCode;

    /**
     * 品名
     */
    private String bomSpecName;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 状态 1正常 2盘盈 3盘亏
     */
    private Integer status;

}
