package com.sd.business.entity.check.vo;

import com.sd.business.entity.check.po.CheckBom;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 盘点bom列表查询返回值实体
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
public class CheckBomVo extends CheckBom {

    /**
     * 品号
     */
    private String bomSpecCode;

    /**
     * 品名
     */
    private String bomSpecName;

    /**
     * 结存单价
     */
    private BigDecimal balanceUnitPrice;

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 事业部名称
     */
    private String departmentName;

    /**
     * 单位
     */
    private String bomUnit;

}
