package com.sd.business.entity.craft.dto;

import com.sd.business.entity.craft.po.CraftProductionLine;
import com.sd.business.entity.craft.po.CraftProductionLineProcess;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 工艺_产线新增编辑入参实体
 *
 * @author
 * @since 2023-07-26
 */
@Getter
@Setter
public class CraftProductionLineDto extends CraftProductionLine {

    @Valid
    @NotNull(message = "产线明细不能为空")
    private List<CraftProductionLineProcess> craftProductionLineProcessList;

}
