package com.sd.business.entity.craft.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 工艺_产线工序关联
 * </p>
 *
 * @author
 * @since 2023-07-26
 */
@Getter
@Setter
@TableName("craft_production_line_process")
public class CraftProductionLineProcess extends BasePo {

    /**
     * 工艺_产线id
     */
    private Long craftProductionLineId;

    /**
     * 工艺_工序id
     */
    @NotNull(message = "工序id不能为空")
    private Long craftProcessId;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 设备id
     */
    private Long equipmentId;

    /**
     * rfidIp
     */
    private String rfidIp;

    /**
     * rfid通道
     */
    private String rfidPassage;

    /**
     * 接口地址
     */
    private String interfaceAddress;

}
