package com.sd.business.entity.in.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 出入库bom列表查询入参实体
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
public class InOutStorageBomSelectDto extends BaseSelectDto {

    /**
     * 出入库单号
     */
    private String code;

    /**
     * 采购单号
     */
    private String purchaseCode;

    /**
     * 产品规格品号
     */
    private String bomSpecCode;

    /**
     * 产品规格品名
     */
    private String bomSpecName;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 类型 1入库 0出库
     */
    private Integer type;

    /**
     * 出入库明细
     */
    private Integer detailType;

}
