package com.sd.business.entity.in.vo;

import com.sd.business.entity.in.po.InOutStorageBom;
import lombok.Getter;
import lombok.Setter;

/**
 * 出入库bom列表查询返回值实体
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
public class InOutStorageBomVo extends InOutStorageBom {

    /**
     * 出入库明细
     */
    private Integer detailType;

    /**
     * 出入库单号
     */
    private String code;

    /**
     * 申请人
     */
    private String applicant;

    /**
     * 仓库类型 字典:warehouse_type
     */
    private String warehouseType;

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 事业部名称
     */
    private String departmentName;

    /**
     * 采购单号
     */
    private String purchaseCode;

    /**
     * 产品规格品号
     */
    private String bomSpecCode;

    /**
     * 产品规格品名
     */
    private String bomSpecName;

}
