package com.sd.business.entity.in.vo;

import com.sd.business.entity.in.po.InOutStorage;
import lombok.Getter;
import lombok.Setter;

/**
 * 出入库列表查询返回值实体
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
public class InOutStorageVo extends InOutStorage {

    /**
     * 仓库类型 字典:warehouse_type
     */
    private String warehouseType;

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 事业部名称
     */
    private String departmentName;

    /**
     * 采购单号
     */
    private String purchaseCode;

}
