package com.sd.business.entity.inventory.vo;

import com.sd.business.entity.inventory.po.Inventory;
import lombok.Getter;
import lombok.Setter;

/**
 * 库存列表查询返回值实体
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
public class InventoryVo extends Inventory {

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 品名
     */
    private String bomSpecName;

    /**
     * 品号
     */
    private String bomSpecCode;

    /**
     * 事业部名称
     */
    private String departmentName;

}
