package com.sd.business.entity.lend.dto;

import com.sd.business.entity.lend.po.Lend;
import com.sd.business.entity.lend.po.LendBom;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 借出单新增编辑入参实体
 *
 * @author
 * @since 2023-06-30
 */
@Getter
@Setter
public class LendDto extends Lend {

    /**
     * 借出bom
     */
    @NotEmpty(message = "借出明细不能为空")
    private List<LendBom> lendBomList;

}
