package com.sd.business.entity.lend.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 借出单
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
@Getter
@Setter
@TableName("lend")
public class Lend extends BasePo {

    /**
     * 借出单号
     */
    private String code;

    /**
     * 借出人
     */
    private String lendName;

    /**
     * 借出时间
     */
    private Date lendTime;

    /**
     * 归还时间
     */
    private Date returnTime;

    /**
     * 归还状态 0未归还 1已归还
     */
    private Integer returnStatus;

    /**
     * 借出说明
     */
    private String remark;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 流程状态 0未发起 1进行中 2已通过 3已驳回
     */
    private Integer flowStatus;

}
