package com.sd.business.entity.lend.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 借出单bom关联
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
@Getter
@Setter
@TableName("lend_bom")
public class LendBom extends BasePo {

    /**
     * 借出单id
     */
    private Long lendId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 借出数量
     */
    private BigDecimal quantity;

}
