package com.sd.business.entity.order.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Getter
@Setter
public class SkuSpecPriceDto {

    /**
     * sku规格id
     */
    @NotNull(message = "sku规格id不能为空")
    private Long skuSpecId;

    /**
     * 数量
     */
    @NotNull(message = "sku规格数量不能为空")
    private BigDecimal quantity;

}
