package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 订单操作日志
 * </p>
 *
 * @author
 * @since 2023-07-11
 */
@Getter
@Setter
@TableName("order_operating_log")
public class OrderOperatingLog extends BasePo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 类型 10新增 20修改 30删除
     */
    private Integer type;

    /**
     * 订单号
     */
    private String orderCode;

}
