package com.sd.business.entity.outbound.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 出库单
 * </p>
 *
 * @author
 * @since 2023-07-27
 */
@Getter
@Setter
@TableName("outbound_order")
public class OutboundOrder extends BasePo {

    /**
     * 出库单号
     */
    private String code;

    /**
     * 订单编号
     */
    private String orderCode;

    /**
     * 万里牛订单编号
     */
    private String orderWlnCode;

    /**
     * 万里牛sku规格编号
     */
    private String skuSpecCode;

    /**
     * 万里牛仓库编码
     */
    private String storageCode;

    /**
     * 出库数量
     */
    private BigDecimal quantity;

    /**
     * 出库时间
     */
    private Date outboundTime;

    /**
     * 出库时间戳
     */
    private Long outboundTimestamp;

}
