package com.sd.business.entity.price.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 售价_售价体系bom关联
 * </p>
 *
 * @author
 * @since 2023-07-12
 */
@Getter
@Setter
@TableName("price_system_bom")
public class PriceSystemBom extends BasePo {

    /**
     * 售价体系id
     */
    @NotNull(message = "售价体系id不能为空")
    private Long priceSystemId;

    /**
     * bom id
     */
    @NotNull(message = "bom id不能为空")
    private Long bomId;

    /**
     * 加工报价 加工计费标准id
     */
    @NotNull(message = "加工计费标准id不能为空")
    private Long priceBillingStandardId;

}
