package com.sd.business.entity.price.vo;

import com.sd.business.entity.price.po.PriceBillingStandard;
import com.sd.business.entity.price.po.PriceBillingStandardDetail;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 加工计费标准列表查询返回值实体
 *
 * @author
 * @since 2023-07-12
 */
@Getter
@Setter
public class PriceBillingStandardVo extends PriceBillingStandard {

    /**
     * 明细
     */
    @Valid
    @NotEmpty(message = "明细不能为空")
    List<PriceBillingStandardDetail> priceBillingStandardDetailList;

}
