package com.sd.business.entity.production.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@Getter
@Setter
public class SetTagDto {

    /**
     * 订单id列表
     */
    @NotEmpty(message = "订单id列表不能为空")
    private List<Long> orderIdList;

    /**
     * 标签值
     */
    @NotBlank(message = "标签值不能为空")
    private String tag;

}
