package com.sd.business.entity.production.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 生产工单
 * </p>
 *
 * @author
 * @since 2023-07-19
 */
@Getter
@Setter
@TableName("production_work_order")
public class ProductionWorkOrder extends BasePo {

    /**
     * 生产任务id
     */
    private Long productionTaskId;

    /**
     * 工单号
     */
    private String code;

    /**
     * 状态 0待投产
     */
    private Integer status;

    /**
     * 完成时间
     */
    private Date completeTime;

}
