package com.sd.business.entity.statement.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class ExportDocumentDto {

    /**
     * 对账单id集合
     */
    @NotBlank(message = "对账单id集合不能为空")
    private String idGroupConcat;

    /**
     * 部门名称
     */
    private String departmentName;

    /**
     * 开始时间
     */
    private String beginDate;

    /**
     * 结束时间
     */
    private String endDate;

}
