package com.sd.business.mapper.artwork;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.artwork.po.ArtworkLibrary;
import com.sd.business.entity.artwork.vo.ArtworkLibraryVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 图稿库 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-08-02
 */
public interface ArtworkLibraryMapper extends BaseMapper<ArtworkLibrary> {

    /**
     * 图稿库分页
     */
    Page<ArtworkLibraryVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ArtworkLibrary> wrapper);

}
