package com.sd.business.mapper.check;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.check.po.Check;
import com.sd.business.entity.check.vo.CheckVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 盘点 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
public interface CheckMapper extends BaseMapper<Check> {

    /**
     * 盘点分页
     */
    Page<CheckVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Check> wrapper);

}
