package com.sd.business.mapper.craft;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.craft.po.CraftProcess;
import com.sd.business.entity.craft.vo.CraftProcessVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 工艺_工序 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-25
 */
public interface CraftProcessMapper extends BaseMapper<CraftProcess> {

    /**
     * 工艺_工序分页
     */
    Page<CraftProcessVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<CraftProcess> wrapper);

}
