package com.sd.business.mapper.craft;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.craft.po.CraftProductionLineProcess;
import com.sd.business.entity.craft.vo.CraftProductionLineProcessVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 工艺_产线工序关联 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-26
 */
public interface CraftProductionLineProcessMapper extends BaseMapper<CraftProductionLineProcess> {

    /**
     * 工艺_产线工序关联分页
     */
    Page<CraftProductionLineProcessVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<CraftProductionLineProcess> wrapper);

}
