package com.sd.business.mapper.equipment;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.equipment.po.Equipment;
import com.sd.business.entity.equipment.vo.EquipmentVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 设备 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-25
 */
public interface EquipmentMapper extends BaseMapper<Equipment> {

    /**
     * 设备分页
     */
    Page<EquipmentVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Equipment> wrapper);

}
