package com.sd.business.mapper.express;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.express.po.ExpressDelivery;
import com.sd.business.entity.express.vo.ExpressDeliveryVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 快递网点 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-21
 */
public interface ExpressDeliveryMapper extends BaseMapper<ExpressDelivery> {

    /**
     * 快递网点分页
     */
    Page<ExpressDeliveryVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ExpressDelivery> wrapper);

}
