package com.sd.business.mapper.lend;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.lend.po.Lend;
import com.sd.business.entity.lend.vo.LendVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 借出单 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
public interface LendMapper extends BaseMapper<Lend> {

    /**
     * 借出单分页
     */
    Page<LendVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Lend> wrapper);

}
