package com.sd.business.mapper.order;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.order.po.OrderOperatingLog;
import com.sd.business.entity.order.vo.OrderOperatingLogVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 订单操作日志 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-11
 */
public interface OrderOperatingLogMapper extends BaseMapper<OrderOperatingLog> {

    /**
     * 订单操作日志分页
     */
    Page<OrderOperatingLogVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<OrderOperatingLog> wrapper);

}
