package com.sd.business.mapper.order;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.order.po.OrderSku;
import com.sd.business.entity.order.vo.OrderSkuVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 订单sku Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-06
 */
public interface OrderSkuMapper extends BaseMapper<OrderSku> {

    /**
     * 订单sku分页
     */
    Page<OrderSkuVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<OrderSku> wrapper);

}
