package com.sd.business.mapper.outbound;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.outbound.po.OutboundOrder;
import com.sd.business.entity.outbound.vo.OutboundOrderVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 出库单 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-27
 */
public interface OutboundOrderMapper extends BaseMapper<OutboundOrder> {

    /**
     * 出库单分页
     */
    Page<OutboundOrderVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<OutboundOrder> wrapper);

}
