package com.sd.business.mapper.price;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.price.po.PriceSystemBom;
import com.sd.business.entity.price.vo.PriceSystemBomVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 售价_售价体系bom关联 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-12
 */
public interface PriceSystemBomMapper extends BaseMapper<PriceSystemBom> {

    /**
     * 售价_售价体系bom关联分页
     */
    Page<PriceSystemBomVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PriceSystemBom> wrapper);

}
