package com.sd.business.mapper.purchase;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.purchase.po.PurchaseBom;
import com.sd.business.entity.purchase.vo.PurchaseBomVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 采购合同bom Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-08-07
 */
public interface PurchaseBomMapper extends BaseMapper<PurchaseBom> {

    /**
     * 采购合同bom分页
     */
    Page<PurchaseBomVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PurchaseBom> wrapper);

}
