package com.sd.business.mapper.sku;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.sku.po.SkuSpecLink;
import com.sd.business.entity.sku.vo.SkuSpecLinkVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * sku规格关联 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-07
 */
public interface SkuSpecLinkMapper extends BaseMapper<SkuSpecLink> {

    /**
     * sku规格关联分页
     */
    Page<SkuSpecLinkVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SkuSpecLink> wrapper);

}
