package com.sd.business.service.apply;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.apply.dto.ApplyBuyDto;
import com.sd.business.entity.apply.dto.ApplyBuySelectDto;
import com.sd.business.entity.apply.po.ApplyBuy;
import com.sd.business.entity.apply.vo.ApplyBuyVo;


/**
 * <p>
 * 申购单 服务类
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
public interface ApplyBuyService extends BaseService<ApplyBuy> {

    /**
     * 申购单分页
     */
    Page<ApplyBuyVo> getPage(ApplyBuySelectDto dto);

    /**
     * 申购单明细
     */
    ApplyBuyVo detail(Long id);

    /**
     * 申购单添加
     */
    void add(ApplyBuyDto dto);

    /**
     * 申购单修改
     */
    void edit(ApplyBuyDto dto);

}
