package com.sd.business.service.bom;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.bom.dto.BomDto;
import com.sd.business.entity.bom.dto.BomSelectDto;
import com.sd.business.entity.bom.po.Bom;
import com.sd.business.entity.bom.vo.BomVo;


/**
 * <p>
 * bom 服务类
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
public interface BomService extends BaseService<Bom> {

    /**
     * bom分页
     */
    Page<BomVo> getPage(BomSelectDto dto);

    /**
     * bom明细
     */
    BomVo detail(Long id);

    /**
     * bom新增
     */
    void add(BomDto bomDto);

    /**
     * bom编辑
     */
    void edit(BomDto bomDto);

    /**
     * bom删除
     */
    void delete(Long id);

}
