package com.sd.business.service.check;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.check.dto.CheckDto;
import com.sd.business.entity.check.dto.CheckSelectDto;
import com.sd.business.entity.check.po.Check;
import com.sd.business.entity.check.vo.CheckVo;


/**
 * <p>
 * 盘点 服务类
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
public interface CheckService extends BaseService<Check> {

    /**
     * 盘点分页
     */
    Page<CheckVo> getPage(CheckSelectDto dto);

    /**
     * 盘点新增
     */
    void add(CheckDto checkDto);

}
