package com.sd.business.service.craft;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.craft.dto.CraftProcessDto;
import com.sd.business.entity.craft.dto.CraftProcessSelectDto;
import com.sd.business.entity.craft.po.CraftProcess;
import com.sd.business.entity.craft.vo.CraftProcessVo;


/**
 * <p>
 * 工艺_工序 服务类
 * </p>
 *
 * @author
 * @since 2023-07-25
 */
public interface CraftProcessService extends BaseService<CraftProcess> {

    /**
     * 工艺_工序分页
     */
    Page<CraftProcessVo> getPage(CraftProcessSelectDto dto);

    /**
     * 工艺_工序明细
     */
    CraftProcessVo detail(Long id);

    /**
     * 工艺_工序新增
     */
    void add(CraftProcessDto craftProcessDto);

    /**
     * 工艺_工序编辑
     */
    void edit(CraftProcessDto craftProcessDto);

    /**
     * 工艺_工序删除
     */
    void delete(Long id);

}
