package com.sd.business.service.craft;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.craft.dto.CraftProductionLineProcessDto;
import com.sd.business.entity.craft.dto.CraftProductionLineProcessSelectDto;
import com.sd.business.entity.craft.po.CraftProductionLineProcess;
import com.sd.business.entity.craft.vo.CraftProductionLineProcessVo;


/**
 * <p>
 * 工艺_产线工序关联 服务类
 * </p>
 *
 * @author
 * @since 2023-07-26
 */
public interface CraftProductionLineProcessService extends BaseService<CraftProductionLineProcess> {

    /**
     * 工艺_产线工序关联分页
     */
    Page<CraftProductionLineProcessVo> getPage(CraftProductionLineProcessSelectDto dto);

    /**
     * 工艺_产线工序关联明细
     */
    CraftProductionLineProcessVo detail(Long id);

    /**
     * 工艺_产线工序关联新增
     */
    void add(CraftProductionLineProcessDto craftProductionLineProcessDto);

    /**
     * 工艺_产线工序关联编辑
     */
    void edit(CraftProductionLineProcessDto craftProductionLineProcessDto);

    /**
     * 工艺_产线工序关联删除
     */
    void delete(Long id);

}
