package com.sd.business.service.craft;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.craft.dto.CraftProductionLineDto;
import com.sd.business.entity.craft.dto.CraftProductionLineSelectDto;
import com.sd.business.entity.craft.po.CraftProductionLine;
import com.sd.business.entity.craft.vo.CraftProductionLineVo;


/**
 * <p>
 * 工艺_产线 服务类
 * </p>
 *
 * @author
 * @since 2023-07-26
 */
public interface CraftProductionLineService extends BaseService<CraftProductionLine> {

    /**
     * 工艺_产线分页
     */
    Page<CraftProductionLineVo> getPage(CraftProductionLineSelectDto dto);

    /**
     * 工艺_产线明细
     */
    CraftProductionLineVo detail(Long id);

    /**
     * 工艺_产线新增
     */
    void add(CraftProductionLineDto craftProductionLineDto);

    /**
     * 工艺_产线编辑
     */
    void edit(CraftProductionLineDto craftProductionLineDto);

    /**
     * 工艺_产线删除
     */
    void delete(Long id);

}
