package com.sd.business.service.equipment;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.equipment.dto.EquipmentDto;
import com.sd.business.entity.equipment.dto.EquipmentSelectDto;
import com.sd.business.entity.equipment.po.Equipment;
import com.sd.business.entity.equipment.vo.EquipmentVo;


/**
 * <p>
 * 设备 服务类
 * </p>
 *
 * @author
 * @since 2023-07-25
 */
public interface EquipmentService extends BaseService<Equipment> {

    /**
     * 设备分页
     */
    Page<EquipmentVo> getPage(EquipmentSelectDto dto);

    /**
     * 设备明细
     */
    EquipmentVo detail(Long id);

    /**
     * 设备新增
     */
    void add(EquipmentDto equipmentDto);

    /**
     * 设备编辑
     */
    void edit(EquipmentDto equipmentDto);

    /**
     * 设备删除
     */
    void delete(Long id);

}
