package com.sd.business.service.inventory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.inventory.dto.InventorySelectDto;
import com.sd.business.entity.inventory.po.InventoryBackup;
import com.sd.business.entity.inventory.vo.InventoryBackupVo;


/**
 * <p>
 * 库存快照 服务类
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
public interface InventoryBackupService extends BaseService<InventoryBackup> {

    void sync();

    Page<InventoryBackupVo> getPage(InventorySelectDto dto);

}
