package com.sd.business.service.lend;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.lend.dto.LendDto;
import com.sd.business.entity.lend.dto.LendSelectDto;
import com.sd.business.entity.lend.po.Lend;
import com.sd.business.entity.lend.vo.LendVo;


/**
 * <p>
 * 借出单 服务类
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
public interface LendService extends BaseService<Lend> {

    /**
     * 借出单分页
     */
    Page<LendVo> getPage(LendSelectDto dto);

    /**
     * 借出单明细
     */
    LendVo detail(Long id);

    /**
     * 借出单编辑
     */
    void edit(LendDto lendDto);

}
