package com.sd.business.service.price;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.price.dto.PriceBillingStandardDto;
import com.sd.business.entity.price.dto.PriceBillingStandardSelectDto;
import com.sd.business.entity.price.po.PriceBillingStandard;
import com.sd.business.entity.price.vo.PriceBillingStandardVo;


/**
 * <p>
 * 加工计费标准 服务类
 * </p>
 *
 * @author
 * @since 2023-07-12
 */
public interface PriceBillingStandardService extends BaseService<PriceBillingStandard> {

    /**
     * 加工计费标准分页
     */
    Page<PriceBillingStandardVo> getPage(PriceBillingStandardSelectDto dto);

    /**
     * 加工计费标准明细
     */
    PriceBillingStandardVo detail(Long id);

    /**
     * 加工计费标准新增
     */
    void add(PriceBillingStandardDto priceBillingStandardDto);

    /**
     * 加工计费标准编辑
     */
    void edit(PriceBillingStandardDto priceBillingStandardDto);

    /**
     * 加工计费标准删除
     */
    void delete(Long id);

}
