package com.sd.business.service.price.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.price.dto.PriceSystemBomDto;
import com.sd.business.entity.price.po.PriceSystemBom;
import com.sd.business.mapper.price.PriceSystemBomMapper;
import com.sd.business.service.price.PriceSystemBomService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 售价_售价体系bom关联 服务实现类
 * </p>
 *
 * @author
 * @since 2023-07-12
 */
@Service
public class PriceSystemBomServiceImpl extends ServiceImpl<PriceSystemBomMapper, PriceSystemBom> implements PriceSystemBomService {

    @Override
    public synchronized void edit(PriceSystemBomDto priceSystemBomDto) {
        saveOrUpdate(priceSystemBomDto, Wrappers.<PriceSystemBom>lambdaQuery()
                .eq(PriceSystemBom::getPriceSystemId, priceSystemBomDto.getPriceSystemId())
                .eq(PriceSystemBom::getBomId, priceSystemBomDto.getBomId())
        );
    }

}
