package com.sd.business.service.price.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.price.dto.PriceSystemBomSpecDto;
import com.sd.business.entity.price.po.PriceSystemBomSpec;
import com.sd.business.mapper.price.PriceSystemBomSpecMapper;
import com.sd.business.service.price.PriceSystemBomSpecService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 售价_售价体系bom规格关联 服务实现类
 * </p>
 *
 * @author
 * @since 2023-07-12
 */
@Service
public class PriceSystemBomSpecServiceImpl extends ServiceImpl<PriceSystemBomSpecMapper, PriceSystemBomSpec> implements PriceSystemBomSpecService {

    @Override
    public void edit(PriceSystemBomSpecDto priceSystemBomSpecDto) {
        saveOrUpdate(priceSystemBomSpecDto, Wrappers.<PriceSystemBomSpec>lambdaQuery()
                .eq(PriceSystemBomSpec::getPriceSystemId, priceSystemBomSpecDto.getPriceSystemId())
                .eq(PriceSystemBomSpec::getBomSpecId, priceSystemBomSpecDto.getBomSpecId())
        );
    }

}
