package com.sd.business.service.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.production.dto.ProductionTaskSelectDto;
import com.sd.business.entity.production.po.ProductionTask;
import com.sd.business.entity.production.vo.ProductionTaskVo;


/**
 * <p>
 * 生产任务 服务类
 * </p>
 *
 * @author
 * @since 2023-07-19
 */
public interface ProductionTaskService extends BaseService<ProductionTask> {

    /**
     * 生产任务分页
     */
    Page<ProductionTaskVo> getPage(ProductionTaskSelectDto dto);

}
