package com.sd.business.service.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.production.dto.ProductionWorkOrderSelectDto;
import com.sd.business.entity.production.po.ProductionWorkOrder;
import com.sd.business.entity.production.vo.ProductionWorkOrderVo;


/**
 * <p>
 * 生产工单 服务类
 * </p>
 *
 * @author
 * @since 2023-07-19
 */
public interface ProductionWorkOrderService extends BaseService<ProductionWorkOrder> {

    /**
     * 生产工单分页
     */
    Page<ProductionWorkOrderVo> getPage(ProductionWorkOrderSelectDto dto);

}
