package com.sd.business.service.sku;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.sku.dto.SkuSpecLinkDto;
import com.sd.business.entity.sku.dto.SkuSpecLinkSelectDto;
import com.sd.business.entity.sku.po.SkuSpecLink;
import com.sd.business.entity.sku.vo.SkuSpecLinkVo;


/**
 * <p>
 * sku规格关联 服务类
 * </p>
 *
 * @author
 * @since 2023-07-07
 */
public interface SkuSpecLinkService extends BaseService<SkuSpecLink> {

    /**
     * sku规格关联分页
     */
    Page<SkuSpecLinkVo> getPage(SkuSpecLinkSelectDto dto);

    /**
     * sku规格关联明细
     */
    SkuSpecLinkVo detail(Long id);

    /**
     * sku规格关联新增
     */
    void add(SkuSpecLinkDto skuSpecLinkDto);

    /**
     * sku规格关联编辑
     */
    void edit(SkuSpecLinkDto skuSpecLinkDto);

    /**
     * sku规格关联删除
     */
    void delete(Long id);

}
