package com.sd.business.service.supplier;

import com.sd.business.entity.supplier.po.Supplier;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.supplier.vo.SupplierVo;
import com.sd.business.entity.supplier.dto.SupplierSelectDto;
import com.sd.business.entity.supplier.dto.SupplierDto;


/**
 * <p>
 * 供应商 服务类
 * </p>
 *
 * @author 
 * @since 2023-07-01
 */
public interface SupplierService extends BaseService<Supplier> {

    /**
     * 供应商分页
     */
    Page<SupplierVo> getPage(SupplierSelectDto dto);

    /**
     * 供应商明细
     */
    SupplierVo detail(Long id);

    /**
     * 供应商新增
     */
    void add(SupplierDto supplierDto);

    /**
     * 供应商编辑
     */
    void edit(SupplierDto supplierDto);

    /**
     * 供应商删除
     */
    void delete(Long id);

}
