package com.sd.business.controller.bom;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.bom.dto.BomOperatingLogSelectDto;
import com.sd.business.entity.bom.vo.BomOperatingLogVo;
import com.sd.business.service.bom.BomOperatingLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * bom操作日志 前端控制器
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
@RestController
@RequestMapping("/bomOperatingLog")
public class BomOperatingLogController {

    @Autowired
    private BomOperatingLogService bomOperatingLogService;

    /**
     * bom操作日志分页
     */
    @PostMapping("/page")
    public Page<BomOperatingLogVo> page(@RequestBody BomOperatingLogSelectDto dto) {
        return bomOperatingLogService.getPage(dto);
    }

}
