package com.sd.business.controller.check;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.check.dto.CheckBomSelectDto;
import com.sd.business.entity.check.vo.CheckBomVo;
import com.sd.business.service.check.CheckBomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 盘点bom 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
@RestController
@RequestMapping("/checkBom")
public class CheckBomController {

    @Autowired
    private CheckBomService checkBomService;

    /**
     * 盘点bom分页
     */
    @PostMapping("/page")
    public Page<CheckBomVo> page(@RequestBody CheckBomSelectDto dto) {
        return checkBomService.getPage(dto);
    }

}
