package com.sd.business.controller.check;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.check.dto.CheckDto;
import com.sd.business.entity.check.dto.CheckSelectDto;
import com.sd.business.entity.check.vo.CheckVo;
import com.sd.business.service.check.CheckService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 盘点 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
@RestController
@RequestMapping("/check")
public class CheckController {

    @Autowired
    private CheckService checkService;

    /**
     * 盘点分页
     */
    @PostMapping("/page")
    public Page<CheckVo> page(@RequestBody CheckSelectDto dto) {
        return checkService.getPage(dto);
    }

    /**
     * 盘点新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody CheckDto checkDto) {
        checkService.add(checkDto);
    }

}
