package com.sd.business.controller.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.order.dto.OrderOperatingLogSelectDto;
import com.sd.business.entity.order.vo.OrderOperatingLogVo;
import com.sd.business.service.order.OrderOperatingLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 订单操作日志 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-11
 */
@RestController
@RequestMapping("/orderOperatingLog")
public class OrderOperatingLogController {

    @Autowired
    private OrderOperatingLogService orderOperatingLogService;

    /**
     * 订单操作日志分页
     */
    @PostMapping("/page")
    public Page<OrderOperatingLogVo> page(@RequestBody OrderOperatingLogSelectDto dto) {
        return orderOperatingLogService.getPage(dto);
    }

}
