package com.sd.business.controller.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.order.dto.OrderSkuSelectDto;
import com.sd.business.entity.order.vo.OrderSkuVo;
import com.sd.business.service.order.OrderSkuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 订单sku 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-06
 */
@RestController
@RequestMapping("/orderSku")
public class OrderSkuController {

    @Autowired
    private OrderSkuService orderSkuService;

    /**
     * 订单sku分页
     */
    @PostMapping("/page")
    public Page<OrderSkuVo> page(@RequestBody OrderSkuSelectDto dto) {
        return orderSkuService.getPage(dto);
    }

}
