package com.sd.business.controller.price;

import com.sd.business.entity.price.dto.PriceSystemBomSpecDto;
import com.sd.business.service.price.PriceSystemBomSpecService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 售价_售价体系bom规格关联 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-12
 */
@RestController
@RequestMapping("/priceSystemBomSpec")
public class PriceSystemBomSpecController {

    @Autowired
    private PriceSystemBomSpecService priceSystemBomSpecService;

    /**
     * 售价_售价体系bom规格关联
     */
    @PostMapping("/saveOrEdit")
    public void edit(@Validated @RequestBody PriceSystemBomSpecDto priceSystemBomSpecDto) {
        priceSystemBomSpecService.edit(priceSystemBomSpecDto);
    }

}
