package com.sd.business.controller.sku;

import com.alibaba.fastjson.JSONObject;
import com.sd.business.entity.sku.dto.SkuClassifyDto;
import com.sd.business.service.sku.SkuClassifyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * sku分类 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-07-03
 */
@RestController
@RequestMapping("/skuClassify")
public class SkuClassifyController {

    @Autowired
    private SkuClassifyService skuClassifyService;

    /**
     * sku树形列表
     */
    @PostMapping("/tree")
    public List<JSONObject> tree(SkuClassifyDto dto) {
        return skuClassifyService.tree(dto);
    }

}
