package com.sd.business.entity.bom.bo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class BomSpecBo {

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 成本价
     */
    private BigDecimal costPrice;

    /**
     * 对内销售价(含税)
     */
    private BigDecimal internalSellingPrice;

    /**
     * 对外销售价(含税)
     */
    private BigDecimal externalSellingPrice;

    /**
     * 分类父id
     */
    private Long classifyParentId;

}
