package com.sd.business.entity.bom.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * bom操作日志
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
@Getter
@Setter
@TableName("bom_operating_log")
public class BomOperatingLog extends BasePo {

    /**
     * bom id
     */
    private Long bomId;

    /**
     * 类型 1新增 2修改 3删除
     */
    private Integer type;

    /**
     * 操作人
     */
    private String operator;

    /**
     * 品号
     */
    private String code;

}
