package com.sd.business.entity.check.dto;

import com.sd.business.entity.check.po.Check;
import com.sd.business.entity.check.po.CheckBom;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 盘点新增编辑入参实体
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
public class CheckDto extends Check {

    /**
     * 盘点bom规格
     */
    @Valid
    @NotEmpty(message = "盘点bom规格不能为空")
    private List<CheckBom> checkBomList;

}
