package com.sd.business.entity.express.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 快递网点
 * </p>
 *
 * @author
 * @since 2023-07-21
 */
@Getter
@Setter
@TableName("express_delivery")
public class ExpressDelivery extends BasePo {

    /**
     * 电话
     */
    private String phone;

    /**
     * 名称
     */
    private String name;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 区
     */
    private String district;

    /**
     * 地址
     */
    private String address;

    /**
     * 快递
     */
    private String expressage;

    /**
     * 快递编码
     */
    private String expressageCode;

    /**
     * 快递网点
     */
    private String branch;

    /**
     * 网点编码
     */
    private String branchCode;

    /**
     * 面单模板地址
     */
    private String templateUrl;

    /**
     * 自定义模板地址
     */
    private String customTemplateUrl;

    /**
     * 取号模式 字典
     */
    private String takeNum;

    /**
     * 打印机
     */
    private String printer;

}
