package com.sd.business.entity.inventory.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class QuantityByWarehouseVo {

    /**
     * 库存数量
     */
    private BigDecimal inventoryQuantity;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 仓库名称
     */
    private String warehouseName;

}
