package com.sd.business.entity.production.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class ProductionOrderDto extends BaseSelectDto {

    /**
     * 订单号
     */
    private String code;

    /**
     * 万里牛订单号
     */
    private String wlnCode;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 进度 {@link com.sd.business.entity.order.enums.OrderStatusEnum}
     */
    private Integer status;

    /**
     * 标签
     */
    private List<String> tagList;

}
