package com.sd.business.entity.production.dto;

import com.sd.business.entity.order.po.OrderPackageBom;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class RapidPackagingDto {

    /**
     * 订单id
     */
    @NotNull(message = "订单id不能为空")
    private Long orderId;

    /**
     * 包装明细
     */
    @Valid
    @NotEmpty(message = "包装明细列表不能为空")
    private List<OrderPackageBom> packageList;

}
