package com.sd.business.entity.production.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
@Builder
public class ProductionOrderScheduleVo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * sku id
     */
    private Long skuId;

    /**
     * sku规格id
     */
    private Long skuSpecId;

    /**
     * 生产数量
     */
    private BigDecimal productionQuantity;

    /**
     * 完成数量
     */
    private BigDecimal completeQuantity;

    /**
     * sku规格品号
     */
    private String skuSpecCode;

    /**
     * sku规格品名
     */
    private String skuSpecName;

    /**
     * sku名称
     */
    private String skuName;

}
