package com.sd.business.entity.production.vo;

import com.sd.business.entity.production.po.ProductionTask;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 生产任务列表查询返回值实体
 *
 * @author
 * @since 2023-07-19
 */
@Getter
@Setter
public class ProductionTaskVo extends ProductionTask {

    /**
     * 设计图
     */
    private String blueprint;

    /**
     * bom图
     */
    private String mainImgUrl;

    /**
     * 订单号
     */
    private String orderCode;

    /**
     * 万里牛单号
     */
    private String orderWlnCode;

    /**
     * sku品号
     */
    private String skuSpecCode;

    /**
     * sku品名
     */
    private String skuSpecName;

    /**
     * bom品号
     */
    private String bomSpecCode;

    /**
     * bom品号
     */
    private String bomSpecName;

    /**
     * 下单时间
     */
    private Date wlnCreateTime;

    /**
     * 交期
     */
    private Date deliveryTime;

    /**
     * 工艺路线
     */
    private String craftProductionLine;


}
