package com.sd.business.entity.purchase.vo;

import com.sd.business.entity.purchase.po.PurchaseBom;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 采购合同bom列表查询返回值实体
 *
 * @author
 * @since 2023-08-07
 */
@Getter
@Setter
public class PurchaseBomVo extends PurchaseBom {

    /**
     * bom规格编码
     */
    private String bomSpecCode;

    /**
     * bom规格名称
     */
    private String bomSpecName;

    /**
     * bom规格颜色
     */
    private String bomSpecColour;

    /**
     * bom规格长
     */
    private BigDecimal bomSpecLength;

    /**
     * bom规格宽
     */
    private BigDecimal bomSpecWidth;

    /**
     * bom规格高
     */
    private BigDecimal bomSpecHeight;

}
