package com.sd.business.entity.purchase.vo;

import com.sd.business.entity.purchase.po.Purchase;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 采购合同列表查询返回值实体
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
public class PurchaseVo extends Purchase {

    /**
     * 供应商名称
     */
    private  String supplierName;

    /**
     * 申购单号
     */
    private String applyBuyCode;

    /**
     * 采购详情数据
     */
    private List<PurchaseBomVo> purchaseBomList;

}
