package com.sd.business.entity.sku.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * sku列表查询入参实体
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
public class SkuSelectDto extends BaseSelectDto {

    /**
     * 编码
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    /**
     * 类型 0非集团SKU 1集团SKU
     */
    private Integer type;

    /**
     * 品牌
     */
    private String brand;

}
