package com.sd.business.entity.statement.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
public class StatementOfAccountMergePageDto extends BaseSelectDto {

    /**
     * 对账类型（1月度 2季度 3年度 4自定义）
     */
    @NotNull(message = "对账类型不能为空")
    private Integer type;

    /**
     * 事业部id
     */
    private Long departmentId;

}
