package com.sd.business.mapper.apply;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.apply.po.ApplyBuy;
import com.sd.business.entity.apply.vo.ApplyBuyVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 申购单 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
public interface ApplyBuyMapper extends BaseMapper<ApplyBuy> {

    /**
     * 申购单分页
     */
    Page<ApplyBuyVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ApplyBuy> wrapper);

}
