package com.sd.business.mapper.bom;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.bom.po.Bom;
import com.sd.business.entity.bom.vo.BomVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * bom Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
public interface BomMapper extends BaseMapper<Bom> {

    /**
     * bom分页
     */
    Page<BomVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Bom> wrapper);

}
