package com.sd.business.mapper.bom;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.bom.po.BomOperatingLog;
import com.sd.business.entity.bom.vo.BomOperatingLogVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * bom操作日志 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
public interface BomOperatingLogMapper extends BaseMapper<BomOperatingLog> {

    /**
     * bom操作日志分页
     */
    Page<BomOperatingLogVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<BomOperatingLog> wrapper);

}
