package com.sd.business.mapper.check;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.check.po.CheckBom;
import com.sd.business.entity.check.vo.CheckBomVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 盘点bom Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
public interface CheckBomMapper extends BaseMapper<CheckBom> {

    /**
     * 盘点bom分页
     */
    Page<CheckBomVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<CheckBom> wrapper);

}
