package com.sd.business.mapper.craft;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.craft.po.CraftProductionLine;
import com.sd.business.entity.craft.vo.CraftProductionLineVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 工艺_产线 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-26
 */
public interface CraftProductionLineMapper extends BaseMapper<CraftProductionLine> {

    /**
     * 工艺_产线分页
     */
    Page<CraftProductionLineVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<CraftProductionLine> wrapper);

}
