package com.sd.business.mapper.in;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.in.po.InOutStorageBom;
import com.sd.business.entity.in.vo.InOutStorageBomVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 出入库bom Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
public interface InOutStorageBomMapper extends BaseMapper<InOutStorageBom> {

    /**
     * 出入库bom分页
     */
    Page<InOutStorageBomVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<InOutStorageBom> wrapper);

}
