package com.sd.business.mapper.in;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.in.po.InOutStorage;
import com.sd.business.entity.in.vo.InOutStorageVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 出入库 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
public interface InOutStorageMapper extends BaseMapper<InOutStorage> {

    /**
     * 出入库分页
     */
    Page<InOutStorageVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<InOutStorage> wrapper);

}
