package com.sd.business.mapper.inventory;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.inventory.po.InventoryBackup;
import com.sd.business.entity.inventory.vo.InventoryBackupVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 库存快照 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
public interface InventoryBackupMapper extends BaseMapper<InventoryBackup> {

    Page<InventoryBackupVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<InventoryBackup> wrapper);

}
