package com.sd.business.mapper.price;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.price.po.PriceBillingStandard;
import com.sd.business.entity.price.vo.PriceBillingStandardVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 加工计费标准 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-12
 */
public interface PriceBillingStandardMapper extends BaseMapper<PriceBillingStandard> {

    /**
     * 加工计费标准分页
     */
    Page<PriceBillingStandardVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PriceBillingStandard> wrapper);

}
