package com.sd.business.mapper.price;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.price.po.PriceSystemBomSpec;
import com.sd.business.entity.price.vo.PriceSystemBomSpecVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 售价_售价体系bom规格关联 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-12
 */
public interface PriceSystemBomSpecMapper extends BaseMapper<PriceSystemBomSpec> {

    /**
     * 售价_售价体系bom规格关联分页
     */
    Page<PriceSystemBomSpecVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PriceSystemBomSpec> wrapper);

}
