package com.sd.business.mapper.price;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.price.po.PriceSystem;
import com.sd.business.entity.price.vo.PriceSystemVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 售价_售价体系 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-12
 */
public interface PriceSystemMapper extends BaseMapper<PriceSystem> {

    /**
     * 售价_售价体系分页
     */
    Page<PriceSystemVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PriceSystem> wrapper);

}
