package com.sd.business.mapper.production;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.production.po.ProductionTask;
import com.sd.business.entity.production.vo.ProductionTaskVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 生产任务 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-19
 */
public interface ProductionTaskMapper extends BaseMapper<ProductionTask> {

    /**
     * 生产任务分页
     */
    Page<ProductionTaskVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ProductionTask> wrapper);

}
