package com.sd.business.mapper.sku;

import com.sd.business.entity.sku.po.Sku;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.sku.vo.SkuVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * sku Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-07-03
 */
public interface SkuMapper extends BaseMapper<Sku> {

    /**
     * sku分页
     */
    Page<SkuVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Sku> wrapper);

}
