package com.sd.business.service.bom.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.bom.dto.BomOperatingLogSelectDto;
import com.sd.business.entity.bom.po.BomOperatingLog;
import com.sd.business.entity.bom.vo.BomOperatingLogVo;
import com.sd.business.mapper.bom.BomOperatingLogMapper;
import com.sd.business.service.bom.BomOperatingLogService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * bom操作日志 服务实现类
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
@Service
public class BomOperatingLogServiceImpl extends ServiceImpl<BomOperatingLogMapper, BomOperatingLog> implements BomOperatingLogService {

    @Override
    public Page<BomOperatingLogVo> getPage(BomOperatingLogSelectDto dto) {
        IWrapper<BomOperatingLog> wrapper = getWrapper();
        wrapper.orderByDesc("bol", BomOperatingLog::getId);
        Page<BomOperatingLogVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

}
