package com.sd.business.service.in;

import com.sd.business.entity.in.po.InOutStorageDetails;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.in.vo.InOutStorageDetailsVo;
import com.sd.business.entity.in.dto.InOutStorageDetailsSelectDto;
import com.sd.business.entity.in.dto.InOutStorageDetailsDto;


/**
 * <p>
 * 出入库详情表 服务类
 * </p>
 *
 * @author dk
 * @since 2023-07-26
 */
public interface InOutStorageDetailsService extends BaseService<InOutStorageDetails> {

    /**
     * 出入库详情表分页
     */
    Page<InOutStorageDetailsVo> getPage(InOutStorageDetailsSelectDto dto);

    /**
     * 出入库详情表明细
     */
    InOutStorageDetailsVo detail(Long id);

    /**
     * 出入库详情表新增
     */
    void add(InOutStorageDetailsDto inOutStorageDetailsDto);

    /**
     * 出入库详情表编辑
     */
    void edit(InOutStorageDetailsDto inOutStorageDetailsDto);

    /**
     * 出入库详情表删除
     */
    void delete(Long id);

}
