package com.sd.business.service.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.order.dto.OrderOperatingLogSelectDto;
import com.sd.business.entity.order.po.OrderOperatingLog;
import com.sd.business.entity.order.vo.OrderOperatingLogVo;


/**
 * <p>
 * 订单操作日志 服务类
 * </p>
 *
 * @author
 * @since 2023-07-11
 */
public interface OrderOperatingLogService extends BaseService<OrderOperatingLog> {

    /**
     * 订单操作日志分页
     */
    Page<OrderOperatingLogVo> getPage(OrderOperatingLogSelectDto dto);

}
