package com.sd.business.service.price;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.bom.dto.BomSelectDto;
import com.sd.business.entity.bom.vo.BomVo;
import com.sd.business.entity.price.dto.PriceSystemDto;
import com.sd.business.entity.price.dto.PriceSystemSelectDto;
import com.sd.business.entity.price.po.PriceSystem;
import com.sd.business.entity.price.vo.PriceSystemVo;


/**
 * <p>
 * 售价_售价体系 服务类
 * </p>
 *
 * @author
 * @since 2023-07-12
 */
public interface PriceSystemService extends BaseService<PriceSystem> {

    /**
     * 售价_售价体系分页
     */
    Page<PriceSystemVo> getPage(PriceSystemSelectDto dto);

    /**
     * 售价_售价体系明细
     */
    PriceSystemVo detail(Long id);

    /**
     * 售价_售价体系新增
     */
    void add(PriceSystemDto priceSystemDto);

    /**
     * 售价_售价体系编辑
     */
    void edit(PriceSystemDto priceSystemDto);

    /**
     * 售价_售价体系删除
     */
    void delete(Long id);

    /**
     * 售价配置分页
     */
    Page<BomVo> getBomPriceDetail(BomSelectDto dto);

}
