package com.sd.business.service.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.production.dto.StockPreparationDto;
import com.sd.business.entity.production.vo.StockPreparationVo;

import java.util.List;

public interface StockPreparationService {

    /**
     * 待备料列表
     */
    List<StockPreparationVo> uncompletedList(StockPreparationDto dto);

    /**
     * 已备料分页
     */
    Page<StockPreparationVo> completedPage(StockPreparationDto dto);

    /**
     * 提交备料
     */
    void submit(List<Long> orderSkuIdList);

}
